今だけ人気マンガ100円レンタル特集♪

お世話になります。JSPを勉強する為にJSPが稼動するサーバー構築を行っていますがacheとtomcatの連携がうまくいきません。ネットで色々調べてみると.bashrcとか.bash_profileとかに環境変数を設定していましたが環境変数を設定するのはrootの中のファイルでしょうか?

いままで行った作業は下記の通りです。
1.Java、TOMCAT、mod_webappをインストールしました。
2.tomcat4.confにJAVA_HOMEを下記のように設定。
JAVA_HOME="/usr/java/j2sdk1.4.1_01"←ここを追加
3.httpd.confを下記のように設定。
・ServerName localhost←コメント「#」を削除。
・LoadModule webapp_module modules/mod_webapp.so
 AddModule mod_webapp.c
 ※上記の内容が設定されているか確認。
・下記のように変更。
<IfModule mod_webapp.c>
 WebAppConnection warpConnection warp localhost:8008
 WebAppDeploy examples warpConnection /examples/
 WebAppDeploy manager warpConnection /manager/
 WebAppDeploy webdav warpConnection /webdav/
 WebAppInfo info ←追加。
</IfModule>
4.httpd.confのポートとserver.xmlのポートが「8008」になっているかを確認。

apcheは表示しました。
http://xxx.xxx.xxx.xxx[OK]
Tomcatも表示しました。
http://xxx.xxx.xxx.xxx:8080[OK]
ApacheとTomcatの連携がうまくいきません。
http://xxx.xxx.xxx.xxx/examples/jsp/index.html[NG]
※一度だけ表示できましたがサーバーを再起動したら表示できなくなりました。
下記のようにURLを設定する表示。
http://xxx.xxx.xxx.xxx:8080/examples/jsp/index.h …[OK]

□使用環境□
OS:RedHat7.2 Linux
JAVA:1.4.1_01[SDK]
APACHE:1.3.20※Apacheは既存を使用。
TOMCAT:4.0.4
TOMCAT-webapps:4.0.4
モジュール:mod_webapp-1.0-1

どうか宜しくお願いします。
では、失礼します。

このQ&Aに関連する最新のQ&A

A 回答 (4件)

>度々、すみませんが初心者でもわかる参考書やサイトがありましたら教えて下さい。

宜しくお願いします。

参考書やサイトは検索すればやまほど出てきますので、
取り敢えずメーリングリストのご紹介です。

Apache 初心者メーリングリスト
http://mm.apache.or.jp/mailman/listinfo/newbie

Apache ユーザーズ メーリングリスト
http://mm.apache.or.jp/mailman/listinfo/apache-u …

The Ja-Jakarta Project 掲示板
http://jajakarta.good-day.net/bbs/wforum.cgi

でもせっかくですから、たまにはここでも質問してください ^^;
    • good
    • 0

>なぜ標準でインストールされるApacheを使わないのですか?


>何かTomcatを使用するのに支障があるのでしょうか?

Tomcatは頻繁にバージョンアップされますので、Apacheのバージョンとの相性がすぐ問題になります。ディストリビューションの都合にあわせる義務はないので、さっさと、相性の良いバージョンのapacheをソースから構築した方がよいですね。

その他にも、ディストリビューションが標準で用意しているapacheは、たまに、DSOを有効にしてコンパイルしてなかったりするし、モジュールをコンパイルするapxsがついてなかったりする時がありました。

それにapacheをソースからコンパイルする時に、オプションを指定する事で、自分のシステムや用途に合わせて最適化できるのが良いです。

サーブレット/JSPをやりはじめたら、すぐにDB連携もしたくなります。PostgreSQLなんかもRPM版はさっさと削除して、ソースから構築しちゃいましょう。

この回答への補足

返答ありがとうございます。
正直、最新バージョンを使用したかったのですが私はLinux初心者なので何をどうしていいのかわからず、出来るだけ既存の物を使おうと思ってました。
勉強をかねてトライして頑張ってみます。

度々、すみませんが初心者でもわかる参考書やサイトがありましたら教えて下さい。宜しくお願いします。

補足日時:2002/11/11 10:42
    • good
    • 0

> なぜ標準でインストールされるApacheを使わないのですか?



バージョンが古いなどの理由で、セキュリティホールがあるからです。
また、ソースからインストールしたときと、ディストリビューションごとにインストールされているApacheのディレクトリが違ったりする場合があるからです。

> ソースからコンパイルした場合、アンインストールの方法がわからないので

インストールディレクトリを削除するだけです。
通常、インストール先を指定しなければ、/usr/local/apacheにインストールされるので、それを丸ごと削除してやればいいです。
rm -rf /usr/local/apache
# rfオプションには充分ご注意を(笑)

> 私は出来るだけ最新バージョンで考えています。

私もそれには賛成です!

この回答への補足

返答ありがとうございます。
Linuxを触ってそんなに経っていないのでtar形式のソフトを使うのを避けてました。kusukusuさんからアドバイス頂いたので助かりました。

正直、私も最新バージョンを使いたかったです。
頑張って環境を作りたいと思います。
また、何かわからない事がありましたら宜しくお願いします。
では、失礼します。

補足日時:2002/11/11 10:55
    • good
    • 0

ApacheとTomcatはどこで起動させていますか?



私の環境は、

まず標準インストールされるApacheは使わない(あるいはアンインストールする)

Apacheはソースからコンパイルする。

/etc/rc.d/rc.localスクリプトに環境設定、パス設定、及びApacheとTomcatの起動コマンドを記述しています。

この回答への補足

返答ありがとうございます。
私の環境では下記の通りで起動しています。
・/etc/rc.d/init.d/
※ApacheとTomcatは同じ場所です。

なぜ標準でインストールされるApacheを使わないのですか?
何かTomcatを使用するのに支障があるのでしょうか?
ソースからコンパイルした場合、アンインストールの方法がわからないので標準でインストールしているApacheを使用しています。
※全て(Tomcat、mod_webapp)同じでrpm形式のをインストールしています。
ApacheのバージョンとTomcatのバージョンはどれがいいのでしょうか?
私は出来るだけ最新バージョンで考えています。
すみませんがアドバイスをお願いします。
では、失礼します。

補足日時:2002/11/08 08:51
    • good
    • 0

このQ&Aに関連する人気のQ&A

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング